package models

import (
	"time"
)

type CygxUserLabelArticle struct {
	Id         int       `orm:"column(id);pk"`
	UserId     int       `description:"用户ID"`
	CompanyId  int       `description:"公司id"`
	RealName   string    `description:"用户实际名称"`
	Mobile     string    `description:"手机号"`
	Email      string    `description:"邮箱"`
	Label      string    `description:"标签内容"`
	ArticleId  int       `description:"文章ID"`
	SourceId   int       `description:"来源ID（产业ID，系列ID）"`
	Source     int       `description:"来源1:产业、2：系列"`
	CreateTime time.Time `description:"创建时间"`
	ModifyTime time.Time `description:"更新时间"`
}
