package utils

const (
	Md5Key = "Ks@h64WJ#tcVgG8$&WlNfqvLAtMgpxWN"
)

// 常量定义
const (
	FormatTime             = "15:04:05"                //时间格式
	FormatDate             = "2006-01-02"              //日期格式
	FormatDateTime         = "2006-01-02 15:04:05"     //完整时间格式
	FormatDateTimeMinute2  = "2006-01-02 15:04"        //时间格式 年-月-日 时:分
	HlbFormatDateTime      = "2006-01-02_15:04:05.999" //完整时间格式
	FormatDateTimeNoSecond = "2006-01-02 15:04"        //完整时间格式
	FormatDateTimeUnSpace  = "20060102150405"          //完整时间格式
	FormatDateTimeInit     = "0000-00-00 00:00:00"     //为空的初始化时间格式
	FormatYearDate         = "2006"                    //日期格式
	PageSize15             = 15                        //列表页每页数据量
	PageSize5              = 5
	PageSize10             = 10
	PageSize20             = 20
	PageSize30             = 30
)

const (
	APPNAME                             = "弘则-买方研选网页版"
	EmailSendToUsers                    = "cxzhang@hzinsights.com"
	ApiAuthorization                    = "bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkiLCJwaG9uZV9udW1iZXIiOiIxMjM0NTY3ODkiLCJuYW1lIjoi5YW25LuWIiwiZW50cmFuY2UiOiJwYXNzd3dvcmQiLCJpYXQiOjE2MzQ4NzA1OTQsImV4cCI6MTYzNDg3NDE5NH0.tho2L9jsbDPn8ltEGUVDve_nHsh0Kzf6ZrSz0RcZ0ag"
	ApiUrl                              = "https://vmp.hzinsights.com/v2api/"
	CHART_INFO_HTTP_URL                 = "https://vmp.hzinsights.com/v2/charts/"
	DISCLAIMERS                         = "本文为用户投稿，用户在平台中发表的所有资料、言论等仅代表个人观点，与本平台立场无关，不对您构成任何投资建议。本平台对文中陈述、观点判断保持中立，不对所包含内容及数据的真实性、准确性、可靠性或完整性提供任何明示或暗示的保证。请读者仅作参考，并请自行承担全部责任。"
	DISCLAIMERS_PRODUCT_INTERIOR string = "<pstyle=\"text-align: center;\">免责声明</p><p>本报告仅供弘则弥道（上海）投资咨询有限公司正式签约的机构客户使用，不会因接收人/接收机构收到本报告而将其视为客户。本报告根据国际和行业通行的准则，以合法渠道获得这些信息，尽可能保证可靠、准确和完整，但并不保证报告所述信息的准确性和完整性，也不保证本报告所包含的信息或建议在本报告发出后不会发生任何变更。本报告中所提供的信息仅供参考。报告中的内容不对投资者做出的最终操作建议做任何的担保，也没有任何形式的分享投资收益或者分担投资损失的书面或口头承诺。不作为客户在投资、法律、会计或税务等方面的最终操作建议，也不作为道义的、责任的和法律的依据或者凭证，无论是否已经明示或者暗示。在任何情况下，本公司不对客户/接收人/接收机构因使用报告中内容所引致的一切损失负责任，客户/接收人/接收机构需自行承担全部风险。</p><p><br/></p>" // 产品内测免责声明
	REGISTER_PLATFORM                   = 6
	IS_SHOW_WX_PAY                      = true // 是否展示微信支付//  来源 1小程序，2：网页 6：买方研选网页版
)

// 手机号，电子邮箱正则
const (
	RegularMobile         = "^((13[0-9])|(14[5|7])|(15([0-3]|[5-9]))|(18[0-9])|(17[0-9])|(16[0-9])|(19[0-9]))\\d{8}$"               //手机号码
	RegularFixedTelephone = "^(\\(\\d{3,4}\\)|\\d{3,4}-|\\s)?\\d{7,14}$"                                                            //手机号码
	RegularEmail          = `\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*`                                                           //匹配电子邮箱
	RegularUrl            = `(http|ftp|https):\/\/([\w\-_]+(?:(?:\.[\w\-_]+)+))([\w\-\.,@?^=%&amp;:/~\+#]*[\w\-\@?^=%&amp;/~\+#])?` //匹配网址链接
)

// 聚合短信
var (
	JhGnTplId = "65692" //聚合国内模板编码
	JhGjTplId = "10054" //聚合国内模板编码

	JhGnAppKey = "4c8504c49dd335e99cfd7b6a3a9e2415" //聚合国内AppKey
	JhGjAppKey = "3326ad2c1047a4cd92ace153e6044ca3"
)

// OSS
var (
	Endpoint   string = "oss-cn-shanghai.aliyuncs.com"
	Bucketname string = "hongze"

	Imghost          string = "https://hongze.oss-cn-shanghai.aliyuncs.com/"
	Upload_dir       string = "static/images/"
	Upload_Audio_Dir string = "static/audio/"
	Upload_Pdf_Dir   string = "static/pdf/"

	AccessKeyId     string = "LTAIFMZYQhS2BTvW"
	AccessKeySecret string = "12kk1ptCHoGWedhBnKRVW5hRJzq9Fq"
)

// 缓存key
const (
	CACHE_KEY_USER_VIEW           = "user_view_record"           //用户阅读数据
	CACHE_KEY_ARTICLE_ID_TEMPLATE = "ce_lue_article_id_template" //策略平台同步过来的文章ID，做微信模板消息推送，同一篇报告12小时只推送一次
)

const (
	CE_LUE_NAME                      string = "策略"
	CE_LUE_ID                        int    = 23
	CHART_PERMISSION_NAME_YANXUAN    string = "研选"
	MAI_FANG_YAN_XUAN_NAME           string = "买方研选"
	CHART_PERMISSION_NAME_MF_YANXUAN string = "研选订阅"
	YAN_XUAN_KOU_DIAN_BAO_NAME       string = "研选扣点包" //研选扣点包ID
	CHART_PERMISSION_ID_YANXUAN      int    = 31      //权限研选订阅id
	YAN_XUAN_KOU_DIAN_BAO_ID         int    = 52      //研选扣点包ID
	YI_YAO_NAME                      string = "医药"
	YI_YAO_OTHER_IMG                 string = "https://hzstatic.hzinsights.com/static/temp/20221118202211/20221118/qzPm61bVf40Je7c5iL1s4CbrDcpv.png" //医药其它图片
	YI_YAO_ID                        int    = 22
	XIAO_FEI_NAME                    string = "消费"
	XIAO_FEI_OTHER_IMG               string = "https://hzstatic.hzinsights.com/static/temp/20221118202211/20221118/BxOfzECjhqjipJCWwAa9Ep99OTMA.png" //消费其它图片
	XIAO_FEI_ID                      int    = 21
	KE_JI_NAME                       string = "科技"
	KE_JI_OTHER_IMG                  string = "https://hzstatic.hzinsights.com/static/temp/20221118202211/20221118/vr7eTXIrl6YjJ80DDTVbdnFRQ9mJ.png" //科技其它图片
	KE_JI_ID                         int    = 20
	ZHI_ZAO_NAME                     string = "智造"
	ZHI_ZAO_OTHER_IMG                string = "https://hzstatic.hzinsights.com/static/temp/20221118202211/20221118/SSaQcWzMk5slN3FkCwZifK3qcAWd.png" //智造其它图片
	ZHI_ZAO_ID                       int    = 19
	SummaryArticleId                 int    = 1000000
	StrategyPlatform                 string = "https://vmp.hzinsights.com/v2/articles/"
	DefaultHeadimgurl                string = "https://hzstatic.hzinsights.com/static/images/202401/20240103/u6Ykx23BMTnwtvYhZnJktgD54MLp.png"
	OPEN_TOKEN_KEY                   string = "CLPT_OPEN_TOKEN_KEY" //策略品台开放平台的token key
	OnlineTime                       string = "2021-06-01 00:00:01" //上线时间
	HONG_GUAN_ID                     int    = 1
	HZ_COMPANY_ID                    int    = 16
	YAN_XUAN_ARTICLE_TYPE_IDS        string = "1,2,12" // 属于研选的报告类型ID
	REOURCE_YX                       string = "Yx"
	REOURCE_HZ                       string = "Hz"
	GU_SHOU_NAME                     string = "固收"
	GU_SHOU_ID                       int    = 100000 // 自定义权限类型ID ，十万起步
	HONG_GUAN_NAME                   string = "宏观"
	CYGX_TACTICS_TIME_LINE_STATUS    string = "cygx_tactics_time_line_status" // 策略时间线是否对外开放
	TIME_LINE_ID                     int    = 99999                           // 策略时间线的值
	TIME_LINE_NAME                   string = "时间线"                           // 策略时间线的名称
	ACTEGORY_ID_AI_QY                int    = 61                              // AI前沿自定义ID
)

// 模板消息推送类型
const (
	TEMPLATE_MSG_CYGX_ACTIVITY_ADD = 12 //查研观向小程序活动更新推送 12
	TEMPLATE_MSG_CYGX_ARTICLE_ADD  = 13 //查研观向报告更新推送  13
	TEMPLATE_MSG_CYGX_APPLY        = 14 //查研观向审批通知
	TEMPLATE_MSG_CYGX_COMMENT      = 15 //查研观向留言通知
)

const (
	COMPANY_PRODUCT_FICC_ID   = 1
	COMPANY_PRODUCT_FICC_NAME = "ficc"
	COMPANY_PRODUCT_RAI_ID    = 2
	COMPANY_PRODUCT_RAI_NAME  = "权益"
	ROLE_TYPE_RAI_PRODUCT     = "权益产品"
)

const (
	TIME_CATEGORYID = 99999 //时间线的分类ID
)

// 活动相关
const (
	C_CLASS_ACTIVITY_TYPE_ID      int = 7 //C类电话会会议ID
	ANALYST_TELL_ACTIVITY_TYPE_ID int = 2 //分析师电话会ID

)

const (
	YI_YAO_QI_TA = "https://hzstatic.hzinsights.com/static/temp/20220922202209/20220922/2OQMBFplQE1R3bX1y3obX7JSwSuA.png"
	YAN_XUAN_IMG = "https://hzstatic.hzinsights.com/static/temp/20221027202210/20221027/Dd8TrsMh8tNx2tGd5VeaQDyJVQfV.png"
)

var YAN_XUAN_ARTICLE_TYPE_ID = []int{1, 2, 12}

const (
	YAN_XUAN_TAB_KEY = "yanxuan_header_tab"
)
const (
	YD_TOKEN                = "yidong_token"
	CYGX_USER_KEY_LABEL     = "CYGX_USER_KEY_LABEL"     //查研观向用户标签
	CYGX_YANXUAN_POINTS_KEY = "CYGX_YANXUAN_POINTS_KEY" //查研观向研选活动扣点KEY
)

// 邀请机构标识
const (
	LUODING_CODE = "LUODING" //络町
)

const (
	//专项调研背景图片
	//ACTIVITY_ZXDY_ImgUrl1 = "https://hzstatic.hzinsights.com/static/temp/20220427202204/20220427/b2Bj3fGakP16iJRFKisQohCWnCNl.png"
	//ACTIVITY_ZXDY_ImgUrl2 = "https://hzstatic.hzinsights.com/static/temp/20220427202204/20220427/OkunjfKEgo5KRLifzwwLX8cDZnnN.png"
	//ACTIVITY_ZXDY_ImgUrl3 = "https://hzstatic.hzinsights.com/static/temp/20220426202204/20220426/XDLLsjC9XAAy8LIzQr7GsjrBbtX6.png"

	ACTIVITY_ZXDY_ImgUrl1 = "https://hzstatic.hzinsights.com/static/temp/20220707202207/20220707/0H4md6VgZMuIttggMUnJxgrlayxC.png"
	ACTIVITY_ZXDY_ImgUrl2 = "https://hzstatic.hzinsights.com/static/temp/20220707202207/20220707/rFwAM1c4fIMJM0EGoUkUYl25XH9L.png"
	ACTIVITY_ZXDY_ImgUrl3 = "https://hzstatic.hzinsights.com/cygx/special_list_bg.png"
)

// 模板消息地址路由
const (
	ACtIVITY_SPECIAL_EXPLAIN      = "此类调研具体行程尚未确定，待预报名人数满10人后弘则会确定行程并推送给您活动日期，只有在确定行程中再次报名才完成占位。"                        //专项调研说明
	ACtIVITY_SPECIAL_TRIP_EXPLAIN = "此类调研时间安排已经确定，点击报名后按人次扣除对应机构的服务点数。由于每场活动人数有限，如果不能参加请提前48小时取消，未及时取消导致影响其他客户报名将会维持扣点。" //专项调研说明

)

// 模板消息地址路由
const (
	WX_MSG_PATH_ARTICLE_DETAIL           = "pageMy/reportDetail/reportDetail?id="                         //文章详情模板消息地址
	WX_MSG_PATH_ACTIVITY_SPECIAL_DETAIL  = "activityPages/specialDetail/specialDetail?id="                //专项调研活动模板消息地址
	WX_MSG_PATH_ACTIVITY_INDUSTRYR_EPORT = "reportPages/IndustryReport/IndustryReport?id="                //产业文章列表模板消息地址
	WX_MSG_PATH_ACTIVITY_DETAIL          = "activityPages/activityDetail/activityDetail?id="              //活动模板消息地址
	WX_MSG_PATH_APPLY_DETAIL             = "pages-message/applyFor/applyFor?id="                          //潜在用户试用权限申请
	WX_MSG_PATH_YX_SURVEY_DETAIL         = "pages-purchaser/survey/surveyDetail?surveyId="                //用户提交研选调研需求
	WX_MSG_PATH_APPLY_COLLECTION_DETAIL  = "reportPages/bulletinDetail/bulletinDetail?id="                //精选看板申请详情页
	WX_MSG_PATH_YX_SPECIAL_DETAIL        = "pages-purchaser/noteAndViewpoint/noteAndViewpoint?id="        //研选专栏详情
	WX_MSG_PATH_YX_SPECIAL_ENABLE_DETAIL = "pages-purchaser/toExamine/toExamine?isMessage=模板&id="         //研选专栏审核详情页面
	WX_MSG_PATH_YX_SPECIAL_CENTER        = "pages-purchaser/contentAllPage/contentAllPage"                //研选专栏内容中心
	WX_MSG_PATH_PRODUCTINTERIOR_DETAIL   = "reportPages/internalDetials/internalDetials?id="              //产品内测详情模板消息地址
	WX_MSG_PATH_THIS_WEEK_DETAIL         = "reportPages/reportSecretDetail/reportSecretDetail?type=2&id=" //本周研究汇总详情模板消息地址
	WX_MSG_PATH_LAST_WEEK_DETAIL         = "reportPages/reportSecretDetail/reportSecretDetail?type=3&id=" //上周纪要汇总详情模板消息地址

	WX_MSG_PATH_YX_COMMENT_DETAIL              = "pages-activity/generationAsk/generationAsk?id="                   //研选报告留言详情
	WX_MSG_PATH_YX_ACTIVITY_DETAIL             = "pages-activity/activityDetail/activityDetail?IsSendWx=1&id="      //研选活动详情
	WX_MSG_PATH_YX_SIGNUP_DETAIL               = "pages-message/activityTemplate/activityTemplate?id="              //研选报名详情
	WX_MSG_PATH_YX_ARTICLE_DETAIL              = "pages-user/reportDetail/reportDetail?id="                         //研选纪要详情
	WX_MSG_PATH_YX_SPECIAL_MASSAGE_DETAIL      = "pages-purchaser/replyDetailsPage/replyDetailsPage?msgId="         //研选专栏留言详情
	WX_MSG_PATH_YX_SPECIAL_MASSAGE_MANAGE_LIST = "pages-purchaser/commentManagement/commentManagement?wxMessageId=" //研选专栏留言管理列表
)

// 微信模板消息推送公共接口的秘钥
const (
	SendTemplateMsgAuthorization = "dc855fce962a639faa779cbdd4cd332f"
)

// 时间线路由
const (
	TIME_LINE_ROUTE = "/api/report/industry/ArticleList?PageSize=10&CurrentIndex=1&CategoryId=99999&IndustrialManagementId="
)

const (
	ABOUT_US_URL   = "https://hzstatic.hzinsights.com/static/yb/video/8617330c2a76e0c35999f6466b4470c4.mp4"
	ABOUT_US_TITLE = "关于我们--三分钟了解弘则研究体系和方法论"
)

const (
	GAO_YI_ZI_CHAN_COMPANY_ID = 5285 // 高毅资产ID
)

// 模板消息地址路由2
const (
	WX_MSG_PATH_TEMPLATE_MSG = "/pages-message/templateMsg/templateMsg?" //留言带问模版消息地址详情
)

const (
	TPL_MSG_WANG_YANG                        = "tpl_msg_wang_yang"                 //汪洋手机号地址参数
	TPL_MSG_WANG_FANG_WANG_YANG              = "tpl_msg_wang_fang_wang_yang"       //权限模板消息接收人,王芳，汪洋
	TPL_MSG_YAN_XUAN_SPECIAL_APPROVAL        = "tpl_msg_yan_xuan_special_approval" //研选专栏修改之后给这些手机号推送审核模版消息
	TPL_MSG                                  = "tpl_msg"                           //王芳手机号地址参数
	TPL_MSG_NEI_RONG_ZU                      = "tpl_msg_nei_rong_zu"               //内容组四人
	CYGX_TAG_HOT_ACTIVITY_ID          string = "cygx_tag_hot_activity_id"          //标签管理自定义的热门活动ID
)

const (
	MobileShenTao       = "18767183922" //沈涛手机号
	MobileZhangChuanXin = "15557270714" // 张传星手机号
	MobileWangFang      = "18621268829" // 王芳手机号
	MobileWuAngDi       = "18701809782" // 吴昂迪手机号
	MobileDongHeng      = "15216736473" // 董衡手机号
)

const (
	COLLECTIONS_INFO_HTTP_URL = "https://vmp.hzinsights.com/v2/collections" // 上海策略平台精选看板路由
)

const (
	CYGX_OBJ_ARTICLE               string = "article"              // 对象类型：文章
	CYGX_OBJ_ACTIVITY              string = "activity"             // 对象类型：活动
	CYGX_OBJ_ACTIVITYVIDEO         string = "activityvideo"        // 对象类型：活动视频
	CYGX_OBJ_ACTIVITYVOICE         string = "activityvoice"        // 对象类型：活动音频
	CYGX_OBJ_ACTIVITYSPECIAL       string = "activityspecial"      // 对象类型：专项调研活动
	CYGX_OBJ_MEETINGREVIEWCHAPT    string = "meetingreviewchapt"   // 对象类型：晨会精华
	CYGX_OBJ_ROADSHOW              string = "roadshow"             // 对象类型：路演
	CYGX_OBJ_REPORTSELECTION       string = "reportselection"      // 对象类型：报告精选（重点公司）
	CYGX_OBJ_PRODUCTINTERIOR       string = "productinterior"      // 对象类型：产品内测
	CYGX_OBJ_RESEARCHSUMMARY       string = "researchsummary"      // 对象类型：本周研究汇总
	CYGX_OBJ_MINUTESSUMMARY        string = "minutessummary"       // 对象类型：本周研究汇总
	CYGX_OBJ_YANXUANSPECIAL        string = "yanxuanspecial"       // 对象类型：研选专栏
	CYGX_OBJ_ASKSERIEVIDEO         string = "askserievideo"        // 对象类型：问答系列视频
	CYGX_OBJ_YANXUANSPECIAL_AUTHOR string = "yanxuanspecialauthor" // 对象类型：研选作者更新时间
)

const (
	CYGX_YANXUAN_SPECIAL               = "研选专栏"                   //用户阅读数据
	CYGX_VIDEO_HISTORY_KEY             = "CYGX_VIDEO_HISTORY_WEB" //路演播放Key 小程序、web端
	CYGX_YANXUAN_SPECIAL_IMG_PC string = "https://hzstatic.hzinsights.com/cygx/yanxuan_special/special_img_pc.png"
)

const (
	ACTIVITY_ZJDHH_V1_MSG string = "该活动为非公开活动，如有专家访谈需求请联系对口销售" // 限制人数为1的专家电话会用户C端报名，提示消息内容
	FULLSTARFFED_MSG      string = "FullStarffed"              // 报名的时候人数已满的状态
)

// 客户状态
const (
	COMPANY_STATUS_TRY_OUT   = "试用"
	COMPANY_STATUS_FOREVER   = "永续"
	COMPANY_STATUS_FREEZE    = "冻结"
	COMPANY_STATUS_LOSE      = "流失"
	COMPANY_STATUS_LOSE_FLAG = "loss"
	COMPANY_STATUS_FORMAL    = "正式"
	COMPANY_STATUS_POTENTIAL = "潜在"
	COMPANY_STATUS_CLOSE     = "关闭"
)

// 首页自定义标签
const (
	LABEL_L1_1 string = "全部活动"    // 全部活动
	LABEL_L1_2 string = "买方交流"    // 买方交流
	LABEL_L1_3 string = "专家调研"    // 专家调研
	LABEL_L1_4 string = "上市公司小范围" // 上市公司小范围
	LABEL_L2_1 string = "全部报告"    // 全部报告
	LABEL_L2_2 string = "专栏"      // 专栏
	LABEL_L2_3 string = "纪要"      // 纪要
	LABEL_L2_4 string = "买方沙龙"    // 买方沙龙
	LABEL_L3_1 string = "主题a"     // 主题a
	LABEL_L3_2 string = "主题b"     // 主题b
	LABEL_L3_3 string = "主题c"     // 主题c
)

const (
	LABEL_ICO_1  string = "https://hzstatic.hzinsights.com/cygx_web/config/maifangjiaoliu.png"           // 买方交流
	LABEL_ICO_2  string = "https://hzstatic.hzinsights.com/cygx_web/config/zhuanjiadiaoyan.png"          // 专家访谈
	LABEL_ICO_3  string = "https://hzstatic.hzinsights.com/cygx_web/config/shangshigongsixiaofanwei.png" // 上市公司小范围
	LABEL_ICO_4  string = "https://hzstatic.hzinsights.com/cygx_web/config/zhuanlan.png"                 // 专栏
	LABEL_ICO_5  string = "https://hzstatic.hzinsights.com/cygx_web/config/jiyao.png"                    // 纪要
	LABEL_ICO_6  string = "https://hzstatic.hzinsights.com/cygx_web/config/maifangshalong.png"           // 买方沙龙
	LABEL_ICO_7  string = "https://hzstatic.hzinsights.com/mfyx/config/rika.png"                         // 日卡图标
	LABEL_ICO_8  string = "https://hzstatic.hzinsights.com/mfyx/config/yueka.png"                        // 月卡图标
	LABEL_ICO_9  string = "https://hzstatic.hzinsights.com/cygx_web/config/zhuanlan_author.png"          // 专栏作者
	LABEL_ICO_10 string = "https://hzstatic.hzinsights.com/cygx_web/config/activity_vivo.png"            // 专栏作者
)

const (
	PRODUCT_INTERIOR_SHARE_IMG string = "https://hzstatic.hzinsights.com/static/images/202402/20240205/wlSvE6xyT1L9ly4doDhxLO14RMwz.png" //产品内测分享图片
	YANXUAN_SPECIAL_SHARE_IMG  string = "https://hzstatic.hzinsights.com/static/images/202402/20240205/JNxgV260CgccDfKWFFRnip37ulUA.png" //研选专栏分享图片
	YANXUAN_ARTICLE_SHARE_IMG  string = "https://hzstatic.hzinsights.com/static/images/202402/20240205/Ns2nqEx1piNGB7YthA6AfQOeiJMh.png" //研选报告分享图片
)
