package models

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxArticleViewRecord struct {
	Id               int `orm:"column(id);pk"`
	ArticleId        int
	UserId           int
	CreateTime       time.Time
	Mobile           string `description:"手机号"`
	Email            string `description:"邮箱"`
	CompanyId        int    `description:"公司id"`
	CompanyName      string `description:"公司名称"`
	RegisterPlatform int    `description:"来源 1小程序，2：网页"`
}

// 添加收藏信息
func AddCygxArticleViewRecord(item *CygxArticleViewRecord) (lastId int64, err error) {
	o := orm.NewOrm()
	lastId, err = o.Insert(item)
	return
}
