package models

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxReportMappingCategoryGroupResp struct {
	Id                int       `orm:"column(id);pk" description:"id"`
	ChartPermissionId int       `description:"行业ID"`
	IdCygx            int       `description:"表cygx_report_mapping_cygx 主键ID"`
	ArticleId         int       `description:"报告Id"`
	CreateTime        time.Time `description:"创建时间"`
	ModifyTime        time.Time `description:"更新时间"`
	PermissionType    int       `description:"1主观，2客观 ，0不限制"`
}

// 列表
func GetCygxReportMappingCategoryGroupList(condition string, pars []interface{}) (items []*CygxReportMappingCategoryGroupResp, err error) {
	o := orm.NewOrm()
	sql := `SELECT * FROM cygx_report_mapping_category_group as art WHERE 1= 1 `
	if condition != "" {
		sql += condition
	}
	_, err = o.Raw(sql, pars).QueryRows(&items)
	return
}
