package models

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxReportSelectionSubjectHistory struct {
	Id                  int       `orm:"column(id);pk"`
	ArticleId           int       `description:"文章ID"`
	UserId              int       `description:"用户ID"`
	CreateTime          time.Time `description:"创建时间"`
	ModifyTime          time.Time `description:"修改时间"`
	Mobile              string    `description:"手机号"`
	Email               string    `description:"邮箱"`
	CompanyId           int       `description:"公司id"`
	CompanyName         string    `description:"公司名称"`
	IndustrialSubjectId int       `description:"标的ID"`
	RegisterPlatform    int       `description:"来源 1小程序，2：网页"`
}

type AddCygxReportSelectionSubjectHistoryReq struct {
	ArticleId           int `description:"文章id"`
	IndustrialSubjectId int `description:"标的ID"`
}

// 添加
func AddCygxReportSelectionSubjectHistory(item *CygxReportSelectionSubjectHistory) (err error) {
	o := orm.NewOrm()
	_, err = o.Insert(item)
	return
}
