package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"],
        beego.ControllerComments{
            Method: "ActivityAppointmentAdd",
            Router: `/appointment/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"],
        beego.ControllerComments{
            Method: "ActivityAppointmentCancel",
            Router: `/appointment/cancel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"],
        beego.ControllerComments{
            Method: "AskAdd",
            Router: `/askAdd`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"],
        beego.ControllerComments{
            Method: "Check",
            Router: `/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"],
        beego.ControllerComments{
            Method: "CheckAsk",
            Router: `/checkAsk`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"],
        beego.ControllerComments{
            Method: "DetailVideo",
            Router: `/detailVideo`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"],
        beego.ControllerComments{
            Method: "GetYidongUrl",
            Router: `/get_yidong_url`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"],
        beego.ControllerComments{
            Method: "ActivityListSearch",
            Router: `/listSearch`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"],
        beego.ControllerComments{
            Method: "MeetingReminderAdd",
            Router: `/meetingReminder/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"],
        beego.ControllerComments{
            Method: "MeetingReminderCancel",
            Router: `/meetingReminder/cancel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"],
        beego.ControllerComments{
            Method: "ScheduleList",
            Router: `/scheduleList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"],
        beego.ControllerComments{
            Method: "SignupAdd",
            Router: `/signup/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"],
        beego.ControllerComments{
            Method: "SignupCancel",
            Router: `/signup/cancel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"],
        beego.ControllerComments{
            Method: "VivoPointRecord",
            Router: `/vivo_point_record`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityController"],
        beego.ControllerComments{
            Method: "ActivityVoiceHistoryAdd",
            Router: `/voiceHistory/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityNoLoginController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityNoLoginController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/activityTypelist`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityNoLoginController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityNoLoginController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityNoLoginController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityNoLoginController"],
        beego.ControllerComments{
            Method: "LabelTypeList",
            Router: `/labelTypeList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityNoLoginController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ActivityNoLoginController"],
        beego.ControllerComments{
            Method: "ActivityListNew",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:AdviceController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:AdviceController"],
        beego.ControllerComments{
            Method: "ApplyApprove",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ArticleController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ArticleController"],
        beego.ControllerComments{
            Method: "AddStopTime",
            Router: `/addStopTime`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ArticleController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ArticleController"],
        beego.ControllerComments{
            Method: "ApplyAppointmentExpert",
            Router: `/applyAppointmentExpert`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ArticleController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ArticleController"],
        beego.ControllerComments{
            Method: "AskAdd",
            Router: `/askAdd`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ArticleController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ArticleController"],
        beego.ControllerComments{
            Method: "ArticleCollect",
            Router: `/collect`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ArticleController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ArticleController"],
        beego.ControllerComments{
            Method: "ArticleHotList",
            Router: `/hotList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ArticleController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ArticleController"],
        beego.ControllerComments{
            Method: "InterviewApply",
            Router: `/interview/apply`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ArticleNoLoginController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ArticleNoLoginController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BannerController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BannerController"],
        beego.ControllerComments{
            Method: "YxSurvey",
            Router: `/add/yxSurvey`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BaseBannerController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BaseBannerController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BaseBannerController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BaseBannerController"],
        beego.ControllerComments{
            Method: "ListYx",
            Router: `/listYx`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BaseBannerController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BaseBannerController"],
        beego.ControllerComments{
            Method: "ListHome",
            Router: `/listhome`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BaseCollectionController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BaseCollectionController"],
        beego.ControllerComments{
            Method: "BannerList",
            Router: `/banner/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BaseConfigController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BaseConfigController"],
        beego.ControllerComments{
            Method: "ResearchHb",
            Router: `/research/hb`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BaseConfigController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BaseConfigController"],
        beego.ControllerComments{
            Method: "ResearchIntroduce",
            Router: `/research/introduce`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BaseConfigController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BaseConfigController"],
        beego.ControllerComments{
            Method: "ResearchQuotation",
            Router: `/research/quotation`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BaseResourceController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BaseResourceController"],
        beego.ControllerComments{
            Method: "GetSmsCode",
            Router: `/getSmsCode`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BaseTagController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:BaseTagController"],
        beego.ControllerComments{
            Method: "ListLabel",
            Router: `/list/label`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ChartPermissionController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ChartPermissionController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ChartPermissionController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ChartPermissionController"],
        beego.ControllerComments{
            Method: "ListByReport",
            Router: `/listByReport`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:CollectionController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:CollectionController"],
        beego.ControllerComments{
            Method: "ApplyAdd",
            Router: `/apply/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:CollectionController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:CollectionController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ConfigController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ConfigController"],
        beego.ControllerComments{
            Method: "AboutUs",
            Router: `/aboutUs`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ConfigController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ConfigController"],
        beego.ControllerComments{
            Method: "AboutUsAdd",
            Router: `/aboutUs/addHistory`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ConfigController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ConfigController"],
        beego.ControllerComments{
            Method: "IsShow",
            Router: `/isShow`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MicroRoadShowController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MicroRoadShowController"],
        beego.ControllerComments{
            Method: "AskserieVideoDetail",
            Router: `/askserie_video/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MicroRoadShowController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MicroRoadShowController"],
        beego.ControllerComments{
            Method: "Collect",
            Router: `/collect`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MicroRoadShowController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MicroRoadShowController"],
        beego.ControllerComments{
            Method: "CommentAdd",
            Router: `/comment/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MicroRoadShowController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MicroRoadShowController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MicroRoadShowController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MicroRoadShowController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MicroRoadShowController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MicroRoadShowController"],
        beego.ControllerComments{
            Method: "VideoHistoryAdd",
            Router: `/videoHistory/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileChartPermissionAuthController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileChartPermissionAuthController"],
        beego.ControllerComments{
            Method: "ListByActivity",
            Router: `/listByActivity`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileChartPermissionAuthController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileChartPermissionAuthController"],
        beego.ControllerComments{
            Method: "Noyx",
            Router: `/noyx`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileHomeController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileHomeController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileHomeController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileHomeController"],
        beego.ControllerComments{
            Method: "NewList",
            Router: `/new`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportBillboardController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportBillboardController"],
        beego.ControllerComments{
            Method: "ReadList",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/articleList/byCategoryId`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportController"],
        beego.ControllerComments{
            Method: "IndustryList",
            Router: `/industryList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportController"],
        beego.ControllerComments{
            Method: "SearchReport",
            Router: `/searchReport`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportController"],
        beego.ControllerComments{
            Method: "SearchReportAndResource",
            Router: `/searchReportAndResource`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportController"],
        beego.ControllerComments{
            Method: "SearchResource",
            Router: `/searchResource`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportController"],
        beego.ControllerComments{
            Method: "TacticsList",
            Router: `/tactics/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportController"],
        beego.ControllerComments{
            Method: "Timeline",
            Router: `/timeline`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportController"],
        beego.ControllerComments{
            Method: "ArticleCategoryList",
            Router: `/toArticleCategoryList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileReportController"],
        beego.ControllerComments{
            Method: "TradeList",
            Router: `/tradeList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileResearchController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileResearchController"],
        beego.ControllerComments{
            Method: "Billboard",
            Router: `/article/billboard`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileResearchController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileResearchController"],
        beego.ControllerComments{
            Method: "ArticleNewList",
            Router: `/article/newList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileResearchController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileResearchController"],
        beego.ControllerComments{
            Method: "ArticleType",
            Router: `/article/typeList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileResearchController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileResearchController"],
        beego.ControllerComments{
            Method: "DepartmentIdDetail",
            Router: `/departmentId/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileResearchController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileResearchController"],
        beego.ControllerComments{
            Method: "FllowDepartment",
            Router: `/fllowDepartment`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileResearchController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileResearchController"],
        beego.ControllerComments{
            Method: "HotList",
            Router: `/hotList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileResearchController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileResearchController"],
        beego.ControllerComments{
            Method: "KolList",
            Router: `/kolList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileResearchController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileResearchController"],
        beego.ControllerComments{
            Method: "ThemeDetail",
            Router: `/theme/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileSearchController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileSearchController"],
        beego.ControllerComments{
            Method: "BrowseHistoryList",
            Router: `/keyWord`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileSearchController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileSearchController"],
        beego.ControllerComments{
            Method: "ListHomeArtAndChart",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileWechatController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:MobileWechatController"],
        beego.ControllerComments{
            Method: "WechatBindMobile",
            Router: `/bindMobile`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:OrderController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:OrderController"],
        beego.ControllerComments{
            Method: "AddByActivity",
            Router: `/addByActivity`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:OrderController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:OrderController"],
        beego.ControllerComments{
            Method: "AddByArticle",
            Router: `/addByArticle`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:OrderController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:OrderController"],
        beego.ControllerComments{
            Method: "AddByYanxuanspecial",
            Router: `/addByYanxuanspecial`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:OrderController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:OrderController"],
        beego.ControllerComments{
            Method: "Cancel",
            Router: `/cancel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:OrderController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:OrderController"],
        beego.ControllerComments{
            Method: "OrderDetail",
            Router: `/orderPay/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:OrderController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:OrderController"],
        beego.ControllerComments{
            Method: "UserOrderList",
            Router: `/user/orderList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ReportCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ReportCommonController"],
        beego.ControllerComments{
            Method: "CompanyList",
            Router: `/companyList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ReportController"],
        beego.ControllerComments{
            Method: "CategoryFllow",
            Router: `/category/fllow`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ReportController"],
        beego.ControllerComments{
            Method: "CommentAdd",
            Router: `/commentAdd`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ReportController"],
        beego.ControllerComments{
            Method: "IndustrialFllow",
            Router: `/industrial/fllow`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ReportController"],
        beego.ControllerComments{
            Method: "MinutesDetail",
            Router: `/minutesSummary/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ReportController"],
        beego.ControllerComments{
            Method: "ReportListByType",
            Router: `/reportList/byType`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ReportController"],
        beego.ControllerComments{
            Method: "ResearchDetail",
            Router: `/researchSummary/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ReportController"],
        beego.ControllerComments{
            Method: "ResearchSummaryVoiceHistoryAdd",
            Router: `/voiceHistory/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ResourceController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "FileUpload",
            Router: `/file/upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ResourceController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "Upload",
            Router: `/image/upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:TagController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:TagController"],
        beego.ControllerComments{
            Method: "History",
            Router: `/add/history`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:TagController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:TagController"],
        beego.ControllerComments{
            Method: "TagCustomizeList",
            Router: `/list/custom`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserCommonController"],
        beego.ControllerComments{
            Method: "Login",
            Router: `/login`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserCommonController"],
        beego.ControllerComments{
            Method: "ReSetPass",
            Router: `/reset_pass`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"],
        beego.ControllerComments{
            Method: "ApplyTryOut",
            Router: `/apply/try`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"],
        beego.ControllerComments{
            Method: "AskList",
            Router: `/ask/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"],
        beego.ControllerComments{
            Method: "BrowseHistoryList",
            Router: `/browse/history/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"],
        beego.ControllerComments{
            Method: "CheckLogin",
            Router: `/check/status`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"],
        beego.ControllerComments{
            Method: "CollectList",
            Router: `/collect/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"],
        beego.ControllerComments{
            Method: "Mycollect",
            Router: `/collect/microRoadShow`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"],
        beego.ControllerComments{
            Method: "CommnetList",
            Router: `/comment/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"],
        beego.ControllerComments{
            Method: "AddOutboundMobile",
            Router: `/countryCcode/addOutboundMobile`,
            AllowHTTPMethods: []string{"POST"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"],
        beego.ControllerComments{
            Method: "EmailBinding",
            Router: `/email/binding`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"],
        beego.ControllerComments{
            Method: "HeadimgurlUpdate",
            Router: `/headimgurl/update`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"],
        beego.ControllerComments{
            Method: "SetPass",
            Router: `/set_pass`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"],
        beego.ControllerComments{
            Method: "UpdatePass",
            Router: `/update_pass`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:UserController"],
        beego.ControllerComments{
            Method: "UploadUserBusinessCard",
            Router: `/upload/UserBusinessCard`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:WechatCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:WechatCommonController"],
        beego.ControllerComments{
            Method: "GetWxSign",
            Router: `/getWxSign`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:WechatCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:WechatCommonController"],
        beego.ControllerComments{
            Method: "WechatLogin",
            Router: `/login`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"],
        beego.ControllerComments{
            Method: "FanList",
            Router: `/author/fans_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"],
        beego.ControllerComments{
            Method: "AuthorHeadImg",
            Router: `/author/head_img`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"],
        beego.ControllerComments{
            Method: "AuthorSave",
            Router: `/author/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"],
        beego.ControllerComments{
            Method: "Cancel",
            Router: `/cancel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"],
        beego.ControllerComments{
            Method: "Center",
            Router: `/center`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"],
        beego.ControllerComments{
            Method: "Check",
            Router: `/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"],
        beego.ControllerComments{
            Method: "Collect",
            Router: `/collect`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"],
        beego.ControllerComments{
            Method: "CompanySearch",
            Router: `/companySearch`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/del`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"],
        beego.ControllerComments{
            Method: "Enable",
            Router: `/enable`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"],
        beego.ControllerComments{
            Method: "Follow",
            Router: `/follow`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"],
        beego.ControllerComments{
            Method: "IndustrySearch",
            Router: `/industrySearch`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"],
        beego.ControllerComments{
            Method: "Like",
            Router: `/like`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"],
        beego.ControllerComments{
            Method: "Record",
            Router: `/record`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialController"],
        beego.ControllerComments{
            Method: "Save",
            Router: `/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialMessageController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialMessageController"],
        beego.ControllerComments{
            Method: "MessageAdd",
            Router: `/message/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialMessageController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialMessageController"],
        beego.ControllerComments{
            Method: "MessageDelete",
            Router: `/message/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialMessageController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialMessageController"],
        beego.ControllerComments{
            Method: "MessageLike",
            Router: `/message/like`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialMessageController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialMessageController"],
        beego.ControllerComments{
            Method: "MessageManageList",
            Router: `/message/manage/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialMessageController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialMessageController"],
        beego.ControllerComments{
            Method: "MessagePublic",
            Router: `/message/public`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialMessageController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialMessageController"],
        beego.ControllerComments{
            Method: "MessageSpecialList",
            Router: `/message/special/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialMessageController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialMessageController"],
        beego.ControllerComments{
            Method: "MessageTop",
            Router: `/message/top`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialNoLoginController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialNoLoginController"],
        beego.ControllerComments{
            Method: "AuthorDetail",
            Router: `/author/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialNoLoginController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialNoLoginController"],
        beego.ControllerComments{
            Method: "AuthorList",
            Router: `/author/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialNoLoginController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialNoLoginController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialNoLoginController"] = append(beego.GlobalControllerRouter["hongze/hongze_web_mfyx/controllers:YanxuanSpecialNoLoginController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
